Package org.eclipse.rdf4j.common.platform.support

## Class PosixPlatform

- java.lang.Object
- - org.eclipse.rdf4j.common.platform.AbstractPlatform
  - - org.eclipse.rdf4j.common.platform.support.PosixPlatform

- All Implemented Interfaces:
    `Platform`
  Direct Known Subclasses:
    `MacOSXPlatform`, `PosixGnomePlatform`, `PosixKDEPlatform`

      public class PosixPlatform
      extends AbstractPlatform

  Platform implementation for *nix platforms.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.common.platform.AbstractPlatform

      `colonReplacement, logger, separatorReplacement, whitespaceReplacement`

    - ### Fields inherited from interface org.eclipse.rdf4j.common.platform.Platform

      `APPDATA_BASEDIR_PROPERTY, OLD_DATADIR_PROPERTY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PosixPlatform()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `dataDirPreserveCase()` | Check if case is preserved
    `boolean` | `dataDirReplaceColon()` | Check if colon is replaced
    `boolean` | `dataDirReplaceWhitespace()` | Check if whitespace is replaced
    `String` | `getName()` | Get a descriptive name for this platform.
    `File` | `getOSApplicationDataDir()` | Returns the operating system dependent application data directory.

    - ### Methods inherited from class org.eclipse.rdf4j.common.platform.AbstractPlatform

      `getApplicationDataDir, getApplicationDataDir, getOSApplicationDataDir, getRelativeApplicationDataDir, getRelativeApplicationDataDir, getUserHome`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PosixPlatform

          public PosixPlatform()

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `Platform`
      Get a descriptive name for this platform.
      Returns:
        name of the platform

    - #### getOSApplicationDataDir

          public File getOSApplicationDataDir()

      Description copied from interface: `Platform`
      Returns the operating system dependent application data directory.
      Returns:
        application directory

    - #### dataDirPreserveCase

          public boolean dataDirPreserveCase()

      Description copied from interface: `Platform`
      Check if case is preserved
      Returns:
        boolean

    - #### dataDirReplaceWhitespace

          public boolean dataDirReplaceWhitespace()

      Description copied from interface: `Platform`
      Check if whitespace is replaced
      Returns:
        boolean

    - #### dataDirReplaceColon

          public boolean dataDirReplaceColon()

      Description copied from interface: `Platform`
      Check if colon is replaced
      Returns:
        boolean